VectorLinux
October 21, 2014, 03:54:24 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: gslapt - vl-hot-config not working  (Read 2548 times)
hlekat
Member
*
Posts: 30


« on: May 26, 2009, 08:38:22 am »

i don't remember doing something specific but these two applications are not working. also when i start the appearance setting in the window tab when i choose a different theme nothing happens and the default theme is different.

also from the shell when i am typing:

bash-3.1# slapt-get --update
Failed to open /etc/slapt-get/slapt-getrc
/etc/slapt-get/slapt-getrc: No such file or directory

i have configured it to have only a root user. normally in the shell should be root# and not bash-3.1
what goes wrong?


i typed su - and the terminal goes to root:
i typed again :
vector:/~
root:# slapt-get --installed
Failed to open /etc/slapt-get/slapt-getrc
/etc/slapt-get/slapt-getrc: No such file or directory

« Last Edit: May 26, 2009, 09:03:38 am by hlekat » Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #1 on: May 26, 2009, 09:06:44 am »

Which version of VL are you running?

I remember being confused about the appearance back when VL6.0 was still a release candidate.  Then the had an appearance category under settings but it is only for LXDE appearance settings, it will not work in XFCE.  It is now called LXDE-Appearance.

If you want to change appearance settings in xfce use settings > User Interface Settings.

vl-hot-config is also one I remember from the release candidates.  It would launch from the menu > system >vl-hot-config, but not from the panel launch bar. (or vise-versa)
Look in at the launch commands...they should look like this /sbin/vsuper vl-hot-config.gambas

As far as the terminal goes... try system > urxvt.  It's another terminal see if it gives you a different result, also see if you can su to root.  I know that not why you set up as root in the first place, but at least you will have learned a little more about where you are at.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hlekat
Member
*
Posts: 30


« Reply #2 on: May 26, 2009, 09:18:37 am »

i am using vector 6.0 standar. xfce

i cant start these programs from the menu or with alt+f2 : gslapt.

i does return any error message and they does not appear in the taskmanager.

the LXDE-Appearance is not working with the xfce but it is working if i log on with the other gui (LXDE)
Logged
hlekat
Member
*
Posts: 30


« Reply #3 on: May 26, 2009, 09:36:58 am »

i think that i miss something!
/etc/slapt-get/

has only one file inside : slapt-update-notifier.conf and the contains of this filel:

everything are comments except of this: UPDATE_CHECK_FREQUENCY=4h

Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #4 on: May 26, 2009, 11:14:14 am »


hlekat, what your describing very much reminds me of an early release candidate.
Just to satisfy my curiosity could you let me know the out put of this command in the terminal.
cat /etc/vector-version

Thanks
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hlekat
Member
*
Posts: 30


« Reply #5 on: May 27, 2009, 02:43:24 am »

bash-3.1# cat /etc/vector --version

cat (GNU coreutils) 6.9
Copyright (C) 2007 Free Software Foundation, Inc.
This is free software.  You may redistribute copies of it under the terms of
the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund and Richard M. Stallman.
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #6 on: May 27, 2009, 07:35:47 am »

Hi. hlekat
Sorry. only one (-) before version.
cat /etc/vector-version

What it should give you is the final version name and build date for Vector.

How are you progressing anyway?  Have any of the concerns been resolved?
If not here are a couple tests.
In the terminal...
for launching GSlapt try this...
/sbin/vsuper /usr/sbin/gslapt

for launching vl-hot-config try this...
/sbin/vsuper vl-hot-config.gambas

Try this in both terminals available in vl the default and urxvt.
Let me know your results.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hlekat
Member
*
Posts: 30


« Reply #7 on: May 28, 2009, 01:57:49 am »

How are you progressing anyway?  Have any of the concerns been resolved?
If not here are a couple tests.
In the terminal...
for launching GSlapt try this...
/sbin/vsuper /usr/sbin/gslapt

for launching vl-hot-config try this...
/sbin/vsuper vl-hot-config.gambas

Try this in both terminals available in vl the default and urxvt.
Let me know your results.


i solved the problem with gslapt by adding this file : /etc/slapt-get/slapt-update-notifier.conf
yesterday morning i made some updates with the gslapt, after this i dont know how but the file disappeared, i took it from a friend and gslapt is now working again.


for vl-hot i haven't anything yet,

bash-3.1# /sbin/vsuper vl-hot-config.gambas
/bin/vl-hot-config.gambas
vl-hot-config.gambas
/usr/bin/env: gbr2: No such file or directory


thanks for your answers!!
Logged
hlekat
Member
*
Posts: 30


« Reply #8 on: May 28, 2009, 02:36:28 am »

i have also reinstall vl-hot-config it from slapt but nothing.

is there any guide for vl-hot-config like : where it is installed , what are the configuration files.

i think that it will be the same problem like gslapt which i replaced a configuration file that was missing.
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #9 on: May 28, 2009, 07:05:13 am »

You are missing the gambas2-runtime package, that is why vlhot gui is not working.
Looks like something went wrong during install and you are missing some packages, the vl bashrc and some other configuration files. Maybe you have alien repositories enabled in your gslapt config? If this is the case you have to be careful about what do you upgrade.

HTH
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
hlekat
Member
*
Posts: 30


« Reply #10 on: May 28, 2009, 08:46:03 am »

bash-3.1# locate gambas2-runtime
locate: warning: database /var/lib/slocate/slocate.db' is more than 8 days old
bash-3.1# locate bashrc
locate: warning: database /var/lib/slocate/slocate.db' is more than 8 days old
bash-3.1#

where can i find them?

for the sources of the Gspalt>edit>preferenses> i have checked : packages , extra , patching , gsb-2.22
everything from : http://vectorlinux.osuosl.org/veclinux-6.0/....
i have also chech the slapt-update-notifier.conf and it contains only the paths i have mentioned.
« Last Edit: May 28, 2009, 08:48:22 am by hlekat » Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #11 on: May 28, 2009, 09:00:33 am »

It looks like you need to update the database locate realize on.
As root run
slocate -u

Then do your search.


As far as the gambas2-runtime, it is located in packages.  Odd you couldn't find it there.  Is it updated?
Have you changed anything within the gslapt repository choices?

Anyway here is the link to the FTP repository.
http://vectorlinux.osuosl.org/veclinux-6.0/packages/x-dev/gambas2-runtime-2.10.2-i586-1vl60.tlz
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
rbistolfi
Packager
Vectorian
****
Posts: 2288


« Reply #12 on: May 28, 2009, 09:07:30 am »

bash-3.1# locate gambas2-runtime
locate: warning: database /var/lib/slocate/slocate.db' is more than 8 days old
bash-3.1# locate bashrc
locate: warning: database /var/lib/slocate/slocate.db' is more than 8 days old
bash-3.1#

where can i find them?

for the sources of the Gspalt>edit>preferenses> i have checked : packages , extra , patching , gsb-2.22
everything from : http://vectorlinux.osuosl.org/veclinux-6.0/....
i have also chech the slapt-update-notifier.conf and it contains only the paths i have mentioned.

Look for it using gslapt, as stretchedthin pointed, it is in the packages repository.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!